Opened 7 years ago

Closed 7 years ago

#42762 closed defect (fixed)

qgis @2.2.0: cannot be built universal due to py27-qscintilla not being universal

Reported by: cooljeanius (Eric Gallager) Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.2.1
Keywords: Cc: michaelld (Michael Dickens), Veence (Vincent)
Port: qgis py27-qscintilla

Description

Ran into this when trying to install qgis:

Error: Cannot install qgis for the arch(s) 'i386 x86_64' because
Error: its dependency py27-qscintilla does not build for the required arch(s) by default
Error: and does not have a universal variant.
DEBUG: architecture mismatch

(I have +universal specified in my variants.conf file)

Just to confirm, py-qscintilla contains this in its portfile:

universal_variant   no

Until whatever caused that line to be added is fixed, I guess qgis would have to have its +universal variant removed, too, unfortunately...

Change History (3)

comment:1 Changed 7 years ago by michaelld (Michael Dickens)

So ... are you asking for py-qsci to be made +universal if that's reasonably possible? Do you really need qgis to be +universal?

comment:2 in reply to:  1 Changed 7 years ago by cooljeanius (Eric Gallager)

Replying to michaelld@…:

So ... are you asking for py-qsci to be made +universal if that's reasonably possible?

If it is reasonably possible, yes. If it is not, though, that is okay as well.

Do you really need qgis to be +universal?

I guess not, I just have +universal in my variants.conf file is all...

comment:3 Changed 7 years ago by michaelld (Michael Dickens)

Resolution: fixed
Status: newclosed

Turned out to be pretty easy to make py*-qscintilla +universal; done in r117747.

Note: See TracTickets for help on using tickets.